<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__macros__pin" kind="group">
    <compoundname>group_capsense_macros_pin</compoundname>
    <title>Pin-related Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__pin_1gad966154287c77eb6cc738db7f4d1da08" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GROUND</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Connection of pin to ground. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="527" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="527" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1gaead707fb888468852d35412af119f66e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_HIGHZ</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Connection of pin to High-Z. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="529" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="529" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1ga704cf1446755dd90a8d31bba205b24a6" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SHIELD</name>
        <initializer>(2u)</initializer>
        <briefdescription>
<para>Configuring of pin as a shield. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="531" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="531" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1ga2ce24899858a4620467617d1e359f20e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SENSOR</name>
        <initializer>(3u)</initializer>
        <briefdescription>
<para>Configuring of pin as a CSD sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="533" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="533" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1ga18014a9f7faa11af20e25ecb1d0398ae" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_TX_PIN</name>
        <initializer>(4u)</initializer>
        <briefdescription>
<para>Configuring of pin as a Tx. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="535" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="535" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1ga88e0c991fdb3149ab458780f2ca640e8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_RX_PIN</name>
        <initializer>(5u)</initializer>
        <briefdescription>
<para>Configuring of pin as a Rx. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="537" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="537" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1gaca5ba34915743447053b5cd138db74de" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SNS_DISCONNECTED</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Pin is not connected to scanning bus. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="539" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="539" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__pin_1ga2a7574920a5983ab0fb93e68284200f0" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SNS_CONNECTED</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Pin is connected to scanning bus. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="541" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="541" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Pin-related macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>